package com.netease.nim.uikit.business.forward

import android.content.Context
import zlc.season.rxdownload3.core.DownloadConfig

object RxDownloader {
    lateinit var DOWNLOADER_CACHE: String
    fun init(context: Context, cachePath: String) {
        DOWNLOADER_CACHE = cachePath
        val builder = DownloadConfig.Builder.Companion.create(context)
                .setDefaultPath(cachePath)     //Set the default download address
                .enableDb(true)     //Enable the database
                //                .setDbActor(CustomSqliteActor(this))    //Customize the database
                //                .enableService(true)    //Enable Service
                .useHeadMethod(true)    //Use http HEAD method.
                .setMaxRange(1)       // Maximum concurrency for each mission.
                //                .setRangeDownloadSize(4*1000*1000) //The size of each Range，unit byte
                .setMaxMission(5)      // The number of mission downloaded at the same time
                .enableNotification(false)   //Enable Notification
        //                .setNotificationFactory(NotificationFactoryImpl())      //Custom notification
        //                .setOkHttpClientFacotry(OkHttpClientFactoryImpl())      //Custom OKHTTP
        //                .addExtension(ApkInstallExtension::class.java)    //Add extension

        DownloadConfig.init(builder)
    }
}