package com.netease.nim.uikit.business.forward.viewholder

import android.view.View
import com.bullet.messenger.widgetkit.viewholder.ViewHolderFactory
import com.netease.nim.uikit.R
import com.netease.nim.uikit.business.forward.data.NIMTextObject
import kotlinx.android.synthetic.main.layout_msg_text.view.*

class TextMessageViewHolder(itemView: View) : BaseMessageViewHolder<NIMTextObject>(itemView) {
    override fun configView(model: NIMTextObject) {
        itemView.msgContentView.text = model.text
    }

    companion object : ViewHolderFactory<TextMessageViewHolder> {
        override fun getViewHolderClass(): Class<*> = TextMessageViewHolder::class.java

        override fun getLayoutId(): Int = R.layout.layout_msg_text
    }
}