package com.netease.nim.uikit.business.forward.viewholder

import android.view.View
import com.bumptech.glide.Glide
import com.bullet.messenger.widgetkit.viewholder.ViewHolderFactory
import com.netease.nim.uikit.R
import com.netease.nim.uikit.business.forward.data.NIMVideoObject
import kotlinx.android.synthetic.main.layout_msg_image.view.*

class VideoMessageViewHolder(itemView: View) : BaseMessageViewHolder<NIMVideoObject>(itemView) {
    override fun configView(model: NIMVideoObject) {

        Glide.with(itemView.msgImageView)
                .load(model.coverUrl)
                .into(itemView.msgImageView)
    }

    companion object : ViewHolderFactory<VideoMessageViewHolder> {
        override fun getLayoutId(): Int = R.layout.layout_msg_image

        override fun getViewHolderClass(): Class<*> = VideoMessageViewHolder::class.java

    }
}