package com.netease.nim.uikit.business.redpacket

class PagerCounter {
    var pagerSize = 30
    var hasMore = true
        private set

    private var pager = 0

    fun next(): Int {
        val p = pager
        pager += 1
        return p
    }

    fun reset() {
        pager = 0
    }

    fun checkMore(iterator: Iterable<*>?) {
        hasMore = iterator != null && iterator.count() >= pagerSize
    }
}