package com.netease.nim.uikit.business.redpacket

import android.text.format.DateUtils
import com.bullet.feed.topics.bean.TopicBean
import com.netease.nim.uikit.common.util.sys.ScreenUtil

const val AnimDuration1 = 125L
const val AnimDuration2 = 250L
const val AnimDuration3 = 375L
const val AnimDuration4 = 500L

const val LoadingAnimDuration = 250L
const val RemoveFakeViewDelay = 100L

const val TextAlphaStart = 1f
const val TextAlphaEnd = 0f
const val TextAlphaDuration = AnimDuration3

// 头像的透明度
const val AvatarAlphaStart = 1f
const val AvatarAlphaEnd = 0f

// 头像透明度时间
const val AvatarAlphaDuration = AnimDuration3

// 头像位移时间
const val AvatarTranslationYDuration = AnimDuration2

// 头像的放大倍数
const val AvatarScaleStart = 1f
const val AvatarScaleEnd = 1.75f
const val AvatarScaleDuration = AnimDuration2

// "开" 的放大倍数
const val CoinScaleStart = 1f
const val CoinScaleEnd = 2f
const val CoinScaleDuration = AnimDuration2

// "开" 的透明度
const val CoinAlphaStart = 1f
const val CoinAlphaEnd = 0f
const val CoinAlphaDuration = AnimDuration3

const val FlashScaleStart = 1.8f
const val FlashScaleEnd = 0.3f
const val FlashScaleDuration = AnimDuration4

const val FlashAlphaStart = 0f
const val FlashAlphaEnd = 1f
const val FlashAlphaDuration = AnimDuration4

const val Flash2ScaleStart = 2.5f
const val Flash2ScaleEnd = 0.3f
const val Flash2ScaleDuration = AnimDuration4

const val Flash2AlphaStart = 0f
const val Flash2AlphaEnd = 1f
const val Flash2AlphaDuration = AnimDuration4

const val OpenFlashScaleStart = 0.3f
const val OpenFlashScaleEnd = 2f
const val OpenFlashScaleDuration = AnimDuration2

const val OpenFlashAlphaStart = 1f
const val OpenFlashAlphaEnd = 0f
const val OpenFlashAlphaDuration = AnimDuration3

const val OpenFlash2ScaleStart = 0.3f
const val OpenFlash2ScaleEnd = 2f
const val OpenFlash2ScaleDuration = AnimDuration2

const val OpenFlash2AlphaStart = 1f
const val OpenFlash2AlphaEnd = 0f
const val OpenFlash2AlphaDuration = AnimDuration3

// 红包上半部分图片位移
val TopCoverTranslationY = ScreenUtil.dip2px(185f).toFloat()
const val TopCoverTranslationYDuration = AnimDuration2

// 红包图片放大倍数
const val TopCoverScaleStart = 1f
const val TopCoverScaleEnd = 1.25f
const val TopCoverScaleDuration = AnimDuration2

// 红包图片透明度
const val TopCoverAlphaStart = 1f
const val TopCoverAlphaEnd = 0f
const val TopCoverAlphaDuration = AnimDuration3

// 红包下半部分图片位移
val BottomCoverTranslationY = ScreenUtil.dip2px(210f).toFloat()
const val BottomCoverTranslationYDuration = AnimDuration2

// 红包图片放大倍数
const val BottomCoverScaleStart = 1f
const val BottomCoverScaleEnd = 1.25f
const val BottomCoverScaleDuration = AnimDuration2

// 红包图片透明度
const val BottomCoverAlphaStart = 1f
const val BottomCoverAlphaEnd = 0f
const val BottomCoverAlphaDuration = AnimDuration3

// 半透明遮罩的透明度
const val BgAlphaStart = 1f
const val BgAlphaEnd = 0f
const val BgAlphaDuration = AnimDuration2


const val ListAlphaStart = 0f
const val ListAlphaEnd = 3f

// 其他不重要的控件的透明度
const val OtherAlphaStart = 1f
const val OtherAlphaEnd = 0f


const val FlashAnimDuration = DateUtils.SECOND_IN_MILLIS / 2
const val FlashAnimRepeatCount = (DateUtils.DAY_IN_MILLIS / FlashAnimDuration).toInt()

const val AmountAlphaStart = 0f
const val AmountAlphaEnd = 1f

const val AmountScaleStart = 0.9f
const val AmountScaleEnd = 1.2f
const val AmountScaleEnd2 = 1f
