package com.netease.nim.uikit.business.redpacket

import android.app.Activity
import com.netease.nim.uikit.api.NimUIKit
import com.netease.nim.uikit.business.contact.selector.IMContactSelectOption
import com.netease.nim.uikit.business.contact.selector.IMContactSelector

object PhoneContactSelector {
    fun open(activity: Activity, requestCode: Int) {
        val option = IMContactSelectOption()
        option.minSelectNum = 1
        option.maxSelectNum = 10

        option.maxSelectedTip = NimUIKit.getContext().getString(com.netease.nim.uikit.R.string.invite_phone_contact_capacity)
        option.isIncludeTeam = false
        IMContactSelector.startActivityForResult(activity, PhoneContactSelectView::class.java, option, null, requestCode)
    }
}