package com.netease.nim.uikit.business.redpacket.debug

import android.view.View
import com.bullet.messenger.widgetkit.viewholder.BaseRecyclerViewHolder
import com.bullet.messenger.widgetkit.viewholder.ViewHolderFactory
import com.netease.nim.uikit.R
import com.netease.nim.uikit.business.redpacket.database.RPOrderEntity
import kotlinx.android.synthetic.main.order_list_item_layout.view.*

class OrderItemViewHolder(itemView: View) : BaseRecyclerViewHolder<RPOrderEntity>(itemView) {

    override fun configView(model: RPOrderEntity) {
        itemView.moneyTextView.text = "￥${model.amount}"
        itemView.messageTextView.text = "消息：${model.message}"
        itemView.orderIdTextView.text = "order id：${model.orderId}"
        itemView.timeTextView.text = "时间：${model.formatTime}"
    }

    companion object : ViewHolderFactory<OrderItemViewHolder> {
        override fun getLayoutId(): Int = R.layout.order_list_item_layout

        override fun getViewHolderClass(): Class<*> = OrderItemViewHolder::class.java

    }
}