package com.netease.nim.uikit.business.redpacket.viewholder

import android.view.View
import com.netease.nim.uikit.R
import com.netease.nim.uikit.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter
import com.netease.nim.uikit.impl.NimUIKitImpl

/**
 * Created by lan on 2018/9/9.
 */
class MsgViewHolderB2CRedPacket(adapter: BaseMultiItemFetchLoadAdapter<*, *>?) : MsgViewHolderRedPacket(adapter) {

    override fun inflateContentView() {
    }

    override fun bindContentView() {
        super.bindContentView()
        contentContainer.setBackgroundResource(getBackground())

        findViewById<View>(R.id.message_item_portrait_left_container).visibility = View.INVISIBLE
        findViewById<View>(R.id.message_item_portrait_right_container).visibility = View.INVISIBLE
    }

    fun getBackground(): Int {
        return if (redPacketViewHolderWrapper?.isGetDone() == true) {
            NimUIKitImpl.getOptions().b2cRedPacketBackground
        } else {
            NimUIKitImpl.getOptions().b2cRedPacketDisableBackground
        }
    }

    override fun isShowHeadImage(): Boolean {
        return false
    }

    override fun isMiddleItem(): Boolean {
        return true
    }
}