package com.netease.nim.uikit.business.redpacket.viewholder

import com.netease.nim.uikit.R
import com.netease.nim.uikit.R.id.txt_card_content
import com.netease.nim.uikit.business.session.viewholder.MsgViewHolderBase
import com.netease.nim.uikit.common.ui.recyclerview.adapter.BaseMultiItemFetchLoadAdapter
import com.netease.nim.uikit.common.ui.recyclerview.holder.BaseViewHolder
import com.netease.nimlib.sdk.msg.model.IMMessage

open class MsgViewHolderRedPacket(adapter: BaseMultiItemFetchLoadAdapter<*, *>?) : MsgViewHolderBase(adapter) {

    protected var redPacketViewHolderWrapper: RedPacketViewHolderWrapper? = null
    override fun convert(holder: BaseViewHolder?, data: IMMessage?, position: Int, isScrolling: Boolean) {
        if (holder != null && data != null) {
            redPacketViewHolderWrapper = RedPacketViewHolderWrapper(data, holder.getConvertView())
        }
        super.convert(holder, data, position, isScrolling)
    }

    override fun getContentResId(): Int = redPacketViewHolderWrapper?.getContentResId()
            ?: R.layout.nim_message_item_red_packet

    override fun inflateContentView() {
    }

    override fun bindContentView() {
        redPacketViewHolderWrapper?.bindContentView()
    }

    override fun leftBackground(): Int {
        return redPacketViewHolderWrapper?.leftBackground() ?: 0
    }

    override fun rightBackground(): Int {
        return redPacketViewHolderWrapper?.rightBackground() ?: 0
    }

}