package com.netease.nim.uikit.common.rx

import android.content.Context
import com.netease.nim.uikit.common.ui.dialog.DialogMaker

class LoadingDisposableCollector(private var context: Context?) : DisposableCollector() {
    fun loading(show: Boolean) {

        context?.let {
            if (show) {
                DialogMaker.showProgressDialog(it, "", "", true) {
                    clearDisposable()
                }
            } else {
                DialogMaker.dismissProgressDialog()
            }
        }
    }

    override fun clearDisposable() {
        super.clearDisposable()
        context = null
    }
}