package com.netease.nim.uikit.business.contact.core.item

import com.netease.nim.uikit.business.contact.core.model.IContact
import com.netease.nim.uikit.business.contact.pick.model.SelectContactItem

object ContactTypeHelper {
    fun isPhoneContact(contactItem: AbsContactItem): Boolean {
        return when (contactItem) {
            is SelectContactItem -> {
                contactItem.itemType == IContact.Type.PhoneContact
            }

            else -> contactItem.itemType == ItemTypes.PHONE_CONTACT
        }
    }
}