package com.netease.nim.uikit.business.forward.viewholder

import android.view.View
import com.bumptech.glide.Glide
import com.bullet.messenger.widgetkit.viewholder.ViewHolderFactory
import com.netease.nim.uikit.R
import com.netease.nim.uikit.business.forward.data.NIMImageObject
import kotlinx.android.synthetic.main.layout_msg_image.view.*

class ImageMessageViewHolder(itemView: View) : BaseMessageViewHolder<NIMImageObject>(itemView) {
    override fun configView(model: NIMImageObject) {

        Glide.with(itemView.msgImageView)
                .load(model.thumbUrl)
                .into(itemView.msgImageView)
    }

    companion object : ViewHolderFactory<ImageMessageViewHolder> {
        override fun getLayoutId(): Int = R.layout.layout_msg_image

        override fun getViewHolderClass(): Class<*> = ImageMessageViewHolder::class.java

    }
}