package com.netease.nim.uikit.business.redpacket.event

import android.content.Intent

object B2CTaskRouter {

    const val IS_B2C_TASK_KEY = "IS_B2C_TASK_KEY"
    private const val IS_B2C_TASK_TYPE_KEY = "IS_B2C_TASK_TYPE_KEY"

    fun createIntent(type: Int) : Intent{
        return Intent().apply {
            putExtra(IS_B2C_TASK_KEY, type)
            putExtra(IS_B2C_TASK_TYPE_KEY, type)
        }
    }

    fun getTaskType(intent: Intent): Int{
        return intent.getIntExtra(IS_B2C_TASK_TYPE_KEY, B2CTaskRouterEvent.Contacts)
    }
}