package com.netease.nim.uikit.business.redpacket.viewholder

import com.netease.nim.uikit.R
import com.netease.nim.uikit.business.recent.holder.MessageViewHolderBase
import com.netease.nim.uikit.common.ui.recyclerview.adapter.BaseQuickAdapter
import com.netease.nim.uikit.common.ui.recyclerview.holder.BaseViewHolder
import com.netease.nimlib.sdk.msg.model.IMMessage

class MessageViewHolderMasterPress(adapter: BaseQuickAdapter<*, *>) : MessageViewHolderBase(adapter) {

    private var masterPressViewHolderWrapper: MasterPressViewHolderWrapper? = null

    override fun convert(holder: BaseViewHolder?, msg: IMMessage?, position: Int) {
        if (holder != null && msg != null) {
            masterPressViewHolderWrapper = MasterPressViewHolderWrapper(msg, holder.getConvertView())
        }
        super.convert(holder, msg, position)
    }

    override fun getContentResId(): Int = masterPressViewHolderWrapper?.getContentResId()
            ?: R.layout.nim_message_item_master_press

    override fun bindContentView() {
        masterPressViewHolderWrapper?.bindContentView()
    }

    override fun inflateContentView(holder: BaseViewHolder?) {
    }

}