package com.netease.nim.uikit.common.presenter

import com.netease.nim.uikit.common.ui.dialog.DialogMaker

open class HandleStatusPresenter : HandleDisposablePresenter() {

    fun loading(show: Boolean) {
        activity?.let {
            if (show) {
                DialogMaker.showProgressDialog(it, "", "", true) {
                    clearDisposable()
                }
            } else {
                DialogMaker.dismissProgressDialog()
            }

        }
    }
}